Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77674

Summary: no warning for ancient graphics card
Product: [Retired] Red Hat Linux Reporter: Brian McMinn <nobsod>
Component: redhat-config-xfree86Assignee: Brent Fox <bfox>
Status: CLOSED WONTFIX QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-25 15:56:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Brian McMinn 2002-11-11 21:40:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
The graphical install process for both 7.3 and 8.0 will happily
drive my ancient Virge S3 video card.  Once installed, neither release appears
to contain XFree86 3.0 and the 4.0 XFree86 does not support the IBM Ramdac chip
in this graphics card.  Either the install process should refuse to enter
graphics mode or the full OS should support the graphics card.

I'm not questioning the decision to not support old graphics cards - just
pointing out that it's inconsistent to allow graphical install and then have the
OS not boot into graphics mode.  This could easily cause someone who was
unfamiliar with Linux to decide that Linux just didn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.find ancient S3 Virge PCI card
2.load RH 7.3 or 8.0
3.
	

Actual Results:  RH 7.3 died on system boot with a cryptic warning about an
unsupported IBM Ramdac chip in the XFree86 logs.
RH 8.0 could never find a set of parameters that actually worked to drive the
monitor during the monitor testing phase of install (even though I was running
the install in graphics mode).

Expected Results:  RH 8.0 install should have warned of an unsupported graphics
card somewhere during the install process.

Additional info:

Comment 1 Michael Fulbright 2002-11-14 22:43:15 UTC
Do you happen to know if the installer fell back to the VESA driver to get the
graphical installation running, or did it use the native driver?

XFree86 3.x is not present in Red Hat Linux 8.0, so the installer never tries to
use it.

Comment 2 Brian McMinn 2002-11-14 23:38:25 UTC
I'm not familiar enough with the difference between VESA mode and the native
driver to answer that.  If VESA mode is a clunky looking text window like
soundcfg (sndconfig?) used to use then that's not what I saw.  The install
screen was made of "real" graphics.

I have replaced the card but have not yet thrown it away.  If the mode visible
before the disk gets partitioned, I can swap cards and run the install up to
the point where I could answer this question (assuming you can describe what
you need to know).

I do recall that the install "clunked" the monitor once just before it went
into graphics mode.  By "clunked" I mean that the screen went blank and the
monitor made a sound similar to a relay switching before the graphical mode
began.

Comment 3 Michael Fulbright 2003-03-04 23:06:50 UTC
The Virge I have works - I'm not sure what we can do differently with cards that
support is slowly disappearing for.

This would be a redhat-config-xfree86 issue however.

Comment 4 Brent Fox 2003-03-18 20:59:09 UTC
I am confused as to why the X server would work for the installer but then not
work after installation.  If Virge that we have works, I'm not sure exactly what
we can do about this bug.  It's possible that the more recent X versions support
some Virges but not others, and I'm not sure if there's a way for us to know
which ones will work and which won't.  :(

Comment 5 Brent Fox 2003-04-25 15:56:33 UTC
Resolving as 'wontfix'.  I don't know what else I can do.